## dods.dap
Class DURL

    java.lang.Object
      dods.dap.BaseType
          dods.dap.DString
              dods.dap.DURL

All Implemented Interfaces:
  ClientIO, Cloneable

Direct Known Subclasses:
  SDURL

public class DURL
extends DString

Holds a DODS `URL` value.

See Also:
  `BaseType`

Constructor Summary
`DURL()` Constructs a new `DURL`.
`DURL(String n)` Constructs a new `DURL` with name `n`.

Method Summary
`String` `getTypeName()` Returns the DODS type name of the class instance as a `String`.

Methods inherited from class dods.dap.DString
`deserialize, externalize, getValue, printVal, setValue`

Methods inherited from class dods.dap.BaseType
`checkSemantics, checkSemantics, clone, elementCount, elementCount, getLongName, getName, getParent, newPrimitiveVector, printDecl, printDecl, printDecl, printDecl, printDecl, printDecl, printDecl, printDecl, printVal, printVal, printVal, setName, setParent`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DURL

    public DURL()

  Constructs a new `DURL`.

### DURL

    public DURL(String n)

  Constructs a new `DURL` with name `n`.

Parameters:
  `n` - the name of the variable.

Method Detail

### getTypeName

    public String getTypeName()

  Returns the DODS type name of the class instance as a `String`.

  Overrides:
    `getTypeName` in class `DString`
  Returns:
    the DODS type name of the class instance as a `String`.